/* Class: TestDeck 
 * Version: 1.1 
 * Date: 20/04/05
 * (C) Copyright The Australian National University 2004
 */

/* Test program for COMP1100 Lab 06
 * PES 31/03/04, 20/04/05        
 */

import java.util.Scanner;

public class TestDeck {
    // test the Deck class
    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        final int handSize = 10;
        long seed;         // used for shuffling the deck
        Card card;
        Deck deck;

        System.out.print("Enter any integer (to `seed' the shuffling of the deck): ");
        seed = input.nextLong();

        deck = new Deck(seed);
        System.out.println("\nDeck in value order is: ");
        deck.display();

        // [ enclose the following section of code with a loop, so that
        //   each iteration keeps playing hands until the pack is empty ]

            deck.shuffle();
            System.out.println("\nRemaining deck after shuffle is: ");
            deck.display();
            System.out.println("\nNext hand from the deck is:");
            for (int i=0; i < handSize && deck.numCardsLeft() > 0; i++) {
                card = deck.dealCard();
                System.out.print(card + "(" + card.pipValue() + ") ");        
            } //for(i...)
            System.out.println();


    } //mainProgram()

} //TestDeck
